print.pREC_A {RJaCGH} | R Documentation

## Method for printing probabilistic common region.

### Description

A print method for `pREC_A` objects

### Usage

    ## S3 method for class 'pREC_A'
    print(x,...)
    ## S3 method for class 'pREC_A.none'
    print(x,...)
    ## S3 method for class 'pREC_A.Chromosomes'
    print(x,...)

### Arguments

`x` | An object of class `pREC_A`, `pREC_A.Chromosomes`, `pREC_A.RJaCGH.none`.
`...` | Additional arguments passed to `print`. Currently ignored.

### Value

A data.frame is printed with as many rows as regions found and with columns containing chromosome where the region is, position of start and end of the region, number of genes in it and joint probability.

### Author(s)

Oscar M. Rueda and Ramon Diaz Uriarte

### References

Rueda OM, Diaz-Uriarte R. Flexible and Accurate Detection of Genomic Copy-Number Changes from aCGH. PLoS Comput Biol. 2007;3(6):e122

### See Also

`RJaCGH`, `states`, `modelAveraging`, `pREC_A`

### Examples

    ## MCR for a single array:
    y <- c(rnorm(100, 0, 1), rnorm(10, -3, 1), rnorm(20, 3, 1),
           rnorm(100,0, 1))
    Pos <- sample(x=1:500, size=230, replace=TRUE)
    Pos <- cumsum(Pos)
    Chrom <- rep(1:23, rep(10, 23))

    jp <- list(sigma.tau.mu=rep(0.05, 4), sigma.tau.sigma.2=rep(0.03, 4),
               sigma.tau.beta=rep(0.07, 4), tau.split.mu=0.1, tau.split.beta=0.1)

    fit.genome <- RJaCGH(y=y, Pos=Pos, Chrom=Chrom, model="Genome",
    burnin=100, TOT=1000, jump.parameters=jp, k.max = 4)
    pREC_A(fit.genome, p=0.8, alteration="Gain")
    pREC_A(fit.genome, p=0.8, alteration="Loss")

    ##MCR for two arrays:
    z <- c(rnorm(110, 0, 1), rnorm(20, 3, 1),
           rnorm(100,0, 1))
    fit.array.genome <- RJaCGH(y=cbind(y,z), Pos=Pos, Chrom=Chrom, model="Genome",
    burnin=100, TOT=1000, jump.parameters=jp, k.max = 4)
    pREC_A(fit.array.genome, p=0.4, alteration="Gain")
    pREC_A(fit.array.genome, p=0.4, alteration="Loss")

[Package RJaCGH version 2.0.4 Index]